import { Network as NetworkFromEthers } from '@ethersproject/networks';
import { Network } from '../types/types';
export declare const DEFAULT_ALCHEMY_API_KEY = "demo";
export declare const DEFAULT_NETWORK = Network.ETH_MAINNET;
export declare const DEFAULT_MAX_RETRIES = 5;
export declare const DEFAULT_REQUEST_TIMEOUT = 0;
export declare function getAlchemyNftHttpUrl(network: Network, apiKey: string): string;
export declare function getAlchemyWsUrl(network: Network, apiKey: string): string;
export declare function getAlchemyWebhookHttpUrl(): string;
export declare function getPricesBaseUrl(apiKey: string): string;
export declare function getDataBaseUrl(apiKey: string): string;
export declare enum AlchemyApiType {
    BASE = 0,
    NFT = 1,
    WEBHOOK = 2,
    PRICES = 3,
    PORTFOLIO = 4
}
/**
 * Mapping of network names to their corresponding Network strings used to
 * create an Ethers.js Provider instance.
 */
export declare const EthersNetwork: {
    "eth-mainnet": string;
    "eth-goerli": string;
    "eth-sepolia": string;
    "eth-holesky": string;
    "eth-hoodi": string;
    "opt-mainnet": string;
    "opt-goerli": string;
    "opt-sepolia": string;
    "arb-mainnet": string;
    "arb-goerli": string;
    "arb-sepolia": string;
    "polygon-mainnet": string;
    "polygon-mumbai": string;
    "polygon-amoy": string;
    "solana-mainnet": null;
    "solana-devnet": null;
    "astar-mainnet": string;
    "polygonzkevm-mainnet": string;
    "polygonzkevm-testnet": string;
    "polygonzkevm-cardona": string;
    "base-mainnet": string;
    "base-goerli": string;
    "base-sepolia": string;
    "zksync-mainnet": string;
    "zksync-sepolia": string;
    "shape-mainnet": string;
    "shape-sepolia": string;
    "linea-mainnet": string;
    "linea-sepolia": string;
    "fantom-mainnet": string;
    "fantom-testnet": string;
    "zetachain-mainnet": string;
    "zetachain-testnet": string;
    "arbnova-mainnet": string;
    "blast-mainnet": string;
    "blast-sepolia": string;
    "mantle-mainnet": string;
    "mantle-sepolia": string;
    "scroll-mainnet": string;
    "scroll-sepolia": string;
    "gnosis-mainnet": string;
    "gnosis-chiado": string;
    "bnb-mainnet": string;
    "bnb-testnet": string;
    "avax-mainnet": string;
    "avax-fuji": string;
    "celo-mainnet": string;
    "celo-alfajores": string;
    "celo-baklava": string;
    "metis-mainnet": string;
    "opbnb-mainnet": string;
    "opbnb-testnet": string;
    "berachain-bartio": string;
    "berachain-mainnet": string;
    "berachain-bepolia": string;
    "soneium-mainnet": string;
    "soneium-minato": string;
    "worldchain-mainnet": string;
    "worldchain-sepolia": string;
    "rootstock-mainnet": string;
    "rootstock-testnet": string;
    "flow-mainnet": string;
    "flow-testnet": string;
    "zora-mainnet": string;
    "zora-sepolia": string;
    "frax-mainnet": string;
    "frax-sepolia": string;
    "polynomial-mainnet": string;
    "polynomial-sepolia": string;
    "crossfi-mainnet": string;
    "crossfi-testnet": string;
    "apechain-mainnet": string;
    "apechain-curtis": string;
    "lens-mainnet": string;
    "lens-sepolia": string;
    "geist-mainnet": string;
    "geist-polter": string;
    "lumia-prism": string;
    "lumia-testnet": string;
    "unichain-mainnet": string;
    "unichain-sepolia": string;
    "sonic-mainnet": string;
    "sonic-blaze": string;
    "xmtp-testnet": string;
    "abstract-mainnet": string;
    "abstract-testnet": string;
    "degen-mainnet": string;
    "ink-mainnet": string;
    "ink-sepolia": string;
    "sei-mainnet": string;
    "sei-testnet": string;
    "ronin-mainnet": string;
    "ronin-saigon": string;
    "monad-testnet": string;
    "settlus-mainnet": string;
    "settlus-septestnet": string;
    "gensyn-testnet": string;
    "superseed-mainnet": string;
    "superseed-sepolia": string;
    "tea-sepolia": string;
    "anime-mainnet": string;
    "anime-sepolia": string;
    "story-mainnet": string;
    "story-aeneid": string;
    "megaeth-testnet": string;
};
/**
 * Mapping of network names to their corresponding Ethers Network objects. These
 * networks are not yet supported by Ethers and are listed here to be overriden
 * in the provider.
 */
export declare const CustomNetworks: {
    [key: string]: NetworkFromEthers;
};
export declare function noop(): void;
export declare const ETH_NULL_VALUE = "0x";
export declare const ETH_NULL_ADDRESS = "0x0000000000000000000000000000000000000000";
